Summary:	A hierarchical note taking application
Summary(pl.UTF-8):	Hierarchiczna aplikacja do robienia notatek
Name:		cherrytree
Version:	0.99.41
Release:	1
License:	GPL v3+
Group:		X11/Applications
Source0:	https://www.giuspen.com/software/%{name}_%{version}.tar.xz
# Source0-md5:	260c8376378540d174a2893e80629de3
URL:		https://www.giuspen.com/cherrytree/
BuildRequires:	curl-devel
BuildRequires:	gspell-devel
BuildRequires:	gtkmm3-devel
BuildRequires:	gtksourceviewmm3-devel
BuildRequires:	libfmt-devel
BuildRequires:	libxml++2-devel
BuildRequires:	rpmbuild(macros) >= 1.596
BuildRequires:	shared-mime-info
BuildRequires:	spdlog-devel >= 1:1.8.1
BuildRequires:	uchardet-devel
Requires:	gspell
Requires:	gtksourceviewmm3
Requires:	libfmt
Requires:	libxml++2
Requires:	shared-mime-info
Requires:	spdlog >= 1:1.8.1
Suggests:	p7zip
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A hierarchical note taking application, featuring rich text and syntax
highlighting, storing all the data (including images) in a single xml
file with extension ".ctd".

%description -l pl.UTF-8
Hierarchiczna aplikacja do notatek, wspierająca tekst sformatowany i
wyróżnianie składni, przechowująca wszystkie dane (w tym obrazy) w
jednym pliku XML z rozszerzeniem „.ctd”.

%prep
%setup -q -n %{name}_%{version}

%build
install -d build
cd build
%cmake .. \
	-DMAKE_BUILD_TYPE=Release \
	-DBUILD_TESTING=OFF

%{__make} cherrytree

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

## Remove old mime registration files
%{__rm} $RPM_BUILD_ROOT%{_datadir}/mime-info/cherrytree.*

## Remove unsupported locale
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/kk_KZ

%find_lang %{name}

desktop-file-validate $RPM_BUILD_ROOT%{_desktopdir}/%{name}.desktop

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post
%update_desktop_database
%update_icon_cache hicolor
%update_mime_database

%postun
%update_desktop_database
%update_icon_cache hicolor
%update_mime_database


%files -f %{name}.lang
%defattr(644,root,root,755)
%doc changelog.txt license.txt
%attr(755,root,root) %{_bindir}/cherrytree
%{_datadir}/metainfo/com.giuspen.cherrytree.metainfo.xml
%{_desktopdir}/cherrytree.desktop
%{_datadir}/cherrytree/
%{_iconsdir}/hicolor/scalable/apps/cherrytree.svg
%{_mandir}/man1/cherrytree.1*
%changelog
* Thu Sep 16 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/cherrytree.git;a=log;h=master

* Thu Sep 16 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 3c65344
- up to 0.99.41

* Fri Aug 20 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 8137b1f
- relup, rebuild with libfmt-8

* Sat Aug 07 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 4ebd231
- up to 0.99.40

* Tue Jul 20 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 6ee1e22
- up to 0.99.39

* Sat Jun 12 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 435144b
- up to 0.99.38

* Wed May 19 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 171fcfe
- up to 0.99.37

* Sun Mar 21 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> d710ac2
- up to 0.99.33

* Mon Mar 15 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> de08e8f
- up to 0.99.32

* Sat Feb 27 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> fa750f0
- up to 0.99.31

* Mon Feb 08 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 42dde79
- up to 0.99.30

* Fri Jan 22 2021 Elan Ruusamäe <glen@pld-linux.org> aa4b148
- Cleanup whitespace, dead code. Pldize

* Thu Jan 21 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> bb58834
- init commit. Version: 0.99.29

